# DXGfxLib.EffectGroup Class Reference

This class is a convenient class to package everything related to the effects that might be needed to render a geometry. At the moment this class will act as a container for various types of effects associated with various situations. This is a bit premature as in the current version of the sample associated with the library we use only the default effect of an effect group. More...

List of all members.

## Public Member Functions
void | Dispose ()
| Effects need to be disposed.
void | Set (Device d3ddevice, string fileName)
| This method sets the effect used to render the scene (which is also the default one for the effect group).
void | Set (Device d3ddevice, string fileName, EffectCategory category)
| This will set the effect of the specified category.
void | Set (Effect effect, string fileName)
| A different method to set the effect that will be used to render the scene. Use this method when you already have the effect and don't need to load it from a .fx file.
void | Set (Effect effect, string fileName, EffectCategory category)
| A different method to set the effect of the desired category. Use this method when the effect already exist and that you don't need to load it from a file.
int | CompareTo (Object obj)
| Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).
int | CompareTo (EffectGroup effectGroup)
| Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).
void | Dispose ()
| Effects need to be disposed.
void | Set (Device d3ddevice, string fileName)
| This method sets the effect used to render the scene (which is also the default one for the effect group).
void | Set (Device d3ddevice, string fileName, EffectCategory category)
| This will set the effect of the specified category.
void | Set (Effect effect, string fileName)
| A different method to set the effect that will be used to render the scene. Use this method when you already have the effect and don't need to load it from a .fx file.
void | Set (Effect effect, string fileName, EffectCategory category)
| A different method to set the effect of the desired category. Use this method when the effect already exist and that you don't need to load it from a file.
int | CompareTo (Object obj)
| Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).
int | CompareTo (EffectGroup effectGroup)
| Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).
## Protected Attributes
Effect | renderScene = null
| Effect to render the scene.
string | renderSceneEffectFile = ""
| We want to keep the file name of the effect file.
Effect | renderLight = null
| Effect for light.
string | renderLightEffectFile = ""
| Effect file for light.
Effect | renderEnvMap = null
| Effect to render env map.
string | renderEnvMapEffectFile = ""
| Effect file to render env map.
## Properties
Effect | RenderScene`[get]`
| Effect to render the scene accessor.
Effect | Default`[get]`
| Default effect of the effect group, at the moment this is the only one really used. It is the same as the RenderScene effect.
string | RenderSceneEffectFile`[get]`
| Effect file accessor.
string | DefaultFile`[get]`
| Default effect file accessor.
string | EffectGroupName`[get]`
| This is the name of the effect group.
Effect | RenderLight`[get]`
| Effect for light.
string | RenderLightEffectFile`[get]`
| Effect file for light.
Effect | RenderEnvMap`[get]`
| Effect to render env map.
string | RenderEnvMapEffectFile`[get]`
| Effect file to render env map.

## Detailed Description

This class is a convenient class to package everything related to the effects that might be needed to render a geometry. At the moment this class will act as a container for various types of effects associated with various situations. This is a bit premature as in the current version of the sample associated with the library we use only the default effect of an effect group.

Definition at line 45 of file EffectGroup.cs.

## Member Function Documentation

int DXGfxLib.EffectGroup.CompareTo | ( | EffectGroup | effectGroup | ) |

Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).

Parameters:

  | obj |

Returns:

Definition at line 296 of file EffectGroup.cs.

int DXGfxLib.EffectGroup.CompareTo | ( | Object | obj | ) |

Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).

Parameters:

  | obj |

Returns:

Definition at line 276 of file EffectGroup.cs.

int DXGfxLib.EffectGroup.CompareTo | ( | EffectGroup | effectGroup | ) |

Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).

Parameters:

  | obj |

Returns:

Definition at line 296 of file EffectGroup.cs.

int DXGfxLib.EffectGroup.CompareTo | ( | Object | obj | ) |

Our objects are sorted before beiing rendered. One of the main criterion to choose which one will be first in the list is the effect group that he is using. Basically when we sort objects before rendering, we do in fact compare their effect group between themselves. We do call the below method (in fact the one which is passed an effectgroup and not an object) to sort these. Sorting will be performed based on the name of the effectgroup (why not) :).

Parameters:

  | obj |

Returns:

Definition at line 276 of file EffectGroup.cs.

Here is the caller graph for this function:

void DXGfxLib.EffectGroup.Dispose | ( |  | ) |

Effects need to be disposed.

Definition at line 153 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Dispose | ( |  | ) |

Effects need to be disposed.

Definition at line 153 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Set | ( | Effect | effect,
|  | string | fileName,
|  | EffectCategory | category |
| ) |  |  |

A different method to set the effect of the desired category. Use this method when the effect already exist and that you don't need to load it from a file.

Parameters:

  | effect |
  | fileName |
  | category |

Definition at line 244 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Set | ( | Effect | effect,
|  | string | fileName |
| ) |  |  |

A different method to set the effect that will be used to render the scene. Use this method when you already have the effect and don't need to load it from a .fx file.

Parameters:

  | effect |
  | fileName |

Definition at line 232 of file EffectGroup.cs.

Here is the call graph for this function:

void DXGfxLib.EffectGroup.Set | ( | Device | d3ddevice,
|  | string | fileName,
|  | EffectCategory | category |
| ) |  |  |

This will set the effect of the specified category.

Parameters:

  | d3ddevice |
  | fileName |
  | category |

Definition at line 185 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Set | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  |

This method sets the effect used to render the scene (which is also the default one for the effect group).

Parameters:

  | d3ddevice |
  | fileName |

Definition at line 174 of file EffectGroup.cs.

Here is the call graph for this function:

void DXGfxLib.EffectGroup.Set | ( | Effect | effect,
|  | string | fileName,
|  | EffectCategory | category |
| ) |  |  |

A different method to set the effect of the desired category. Use this method when the effect already exist and that you don't need to load it from a file.

Parameters:

  | effect |
  | fileName |
  | category |

Definition at line 244 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Set | ( | Effect | effect,
|  | string | fileName |
| ) |  |  |

A different method to set the effect that will be used to render the scene. Use this method when you already have the effect and don't need to load it from a .fx file.

Parameters:

  | effect |
  | fileName |

Definition at line 232 of file EffectGroup.cs.

Here is the call graph for this function:

void DXGfxLib.EffectGroup.Set | ( | Device | d3ddevice,
|  | string | fileName,
|  | EffectCategory | category |
| ) |  |  |

This will set the effect of the specified category.

Parameters:

  | d3ddevice |
  | fileName |
  | category |

Definition at line 185 of file EffectGroup.cs.

void DXGfxLib.EffectGroup.Set | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  |

This method sets the effect used to render the scene (which is also the default one for the effect group).

Parameters:

  | d3ddevice |
  | fileName |

Definition at line 174 of file EffectGroup.cs.

Here is the caller graph for this function:

## Member Data Documentation

Effect DXGfxLib.EffectGroup::renderEnvMap = null`[protected]`

Effect to render env map.

Definition at line 127 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::renderEnvMapEffectFile = ""`[protected]`

Effect file to render env map.

Definition at line 140 of file EffectGroup.cs.

Effect DXGfxLib.EffectGroup::renderLight = null`[protected]`

Effect for light.

Definition at line 101 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::renderLightEffectFile = ""`[protected]`

Effect file for light.

Definition at line 114 of file EffectGroup.cs.

Effect DXGfxLib.EffectGroup::renderScene = null`[protected]`

Effect to render the scene.

Definition at line 50 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::renderSceneEffectFile = ""`[protected]`

We want to keep the file name of the effect file.

Definition at line 72 of file EffectGroup.cs.

## Property Documentation

Effect DXGfxLib.EffectGroup::Default`[get]`

Default effect of the effect group, at the moment this is the only one really used. It is the same as the RenderScene effect.

Definition at line 65 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::DefaultFile`[get]`

Default effect file accessor.

Definition at line 86 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::EffectGroupName`[get]`

This is the name of the effect group.

Definition at line 94 of file EffectGroup.cs.

Effect DXGfxLib.EffectGroup::RenderEnvMap`[get]`

Effect to render env map.

Definition at line 133 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::RenderEnvMapEffectFile`[get]`

Effect file to render env map.

Definition at line 146 of file EffectGroup.cs.

Effect DXGfxLib.EffectGroup::RenderLight`[get]`

Effect for light.

Definition at line 107 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::RenderLightEffectFile`[get]`

Effect file for light.

Definition at line 120 of file EffectGroup.cs.

Effect DXGfxLib.EffectGroup::RenderScene`[get]`

Effect to render the scene accessor.

Definition at line 56 of file EffectGroup.cs.

string DXGfxLib.EffectGroup::RenderSceneEffectFile`[get]`

Effect file accessor.

Definition at line 78 of file EffectGroup.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/EffectGroup.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/EffectGroup.cs